package com.fs.qw.domain;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class QwCDNDownload {
    private String fileId; // CDN 参数 - 文件 ID
    private String aesKey; // CDN 参数 - AES 密钥
    private String md5; // CDN 参数 - 文件 MD5 值
    private Long fileSize; // 文件大小（单位：字节）
    private String fileName; // 文件名
    private Integer fileType; // 文件类型：1 - 小程序缩略图；2 - 高清图片；3 - 缩略图；4 - 视频；5 - 语音

    public Map<String, Object> toMap() {
        Map<String,Object> map = new HashMap<>();
        map.put("fileId", fileId);
        map.put("aesKey", aesKey);
        map.put("md5", md5);
        map.put("fileName",fileName);
        map.put("fileType", fileType);
        map.put("fileSize", fileSize);
        return map;
    }
}
